Autodesk Technology Managers Forum
Share your knowledge, ask questions, and engage with fellow CAD/BIM Managers.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 18
Anonymous
2625 Views, 17 Replies

"ZE" command

I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped working when we started having database issues. Can anyone explain why a command would suddenly stop working?
17 REPLIES 17
Message 2 of 18
Anonymous
in reply to: Anonymous

ZE is not a command, but most likely a macro or keyboard shortcut that calls the "zoom" (and then)
"extents" command

the file (or path to it) containing the shortcut was probably lost during the "database issues".



wrote in message news:5978426@discussion.autodesk.com...
I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped
working when we started having database issues. Can anyone explain why a command would suddenly stop
working?
Message 3 of 18
Anonymous
in reply to: Anonymous

On Thu, 10 Jul 2008 16:44:03 +0000, CADgeek <> wrote:

>I have a CAD user that insists on only using one method of zooming, and suddenly that method stopped working when we started having database issues. Can anyone explain why a command would suddenly stop working?

I dunno, but since apparently your CAD user stopped working long ago, I guess
the ZE command figured it did not have to work anymore either.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
Message 4 of 18
Anonymous
in reply to: Anonymous

Here are some keyboard shortcuts that I use. Put it in your acad.lsp file
and make sure to put it in your "startup suite" and then load.

;;;===== Nested Command Aliases =====

(defun C:zw ()(command "zoom" "window")(princ))
(defun C:ze ()(command "zoom" "extents")(princ))
(defun C:zx ()(command "zoom" ".8x")(princ))
(defun C:zd ()(command "zoom" "dynamic")(princ))
(defun C:zi()(command "zoom" "1.5x")(princ))
(defun C:zo()(command "zoom" ".5x")(princ))
(defun C:zp()(command "zoom" "P")(princ))
(defun C:leadr()(command "leadr")(princ))
(defun C:bkvlays()(command "bkvlays")(princ))
(defun t:CHT() (command "chtext")(princ))
(defun t:datestamp() (command "datestamp")(princ))
(defun t:apptype() (command "apptype")(princ))
(defun C:if() (command "imageframe" "off" "")
;;; ===== AutoLoad =====

;;; ===== AutoLoad =====









"Matt Stachoni" wrote in message
news:5978586@discussion.autodesk.com...
On Thu, 10 Jul 2008 16:44:03 +0000, CADgeek <> wrote:

>I have a CAD user that insists on only using one method of zooming, and
>suddenly that method stopped working when we started having database
>issues. Can anyone explain why a command would suddenly stop working?

I dunno, but since apparently your CAD user stopped working long ago, I
guess
the ZE command figured it did not have to work anymore either.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
Message 5 of 18
C O Jones
in reply to: Anonymous

Rick,
I am familiar with the "(defun C:..." but what is the
"(defun t:..." function?

Thanks,
CO
Message 6 of 18
dxarhoulakos
in reply to: Anonymous

Thats interesting. I haven't used those zoom commands in years...since i got a wheel mouse.
Message 7 of 18
Anonymous
in reply to: Anonymous

I don't know what that means, I got this from our old IT guy who left the
firm. He is a whiz at this stuff.
Rick

wrote in message news:5979507@discussion.autodesk.com...
Rick,
I am familiar with the "(defun C:..." but what is the
"(defun t:..." function?

Thanks,
CO
Message 8 of 18
Anonymous
in reply to: Anonymous

On Fri, 11 Jul 2008 15:33:25 +0000, C O Jones <> wrote:

>Rick,
>I am familiar with the "(defun C:..." but what is the
>"(defun t:..." function?

What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.

Matt
mstachoni@verizon.net
mstachoni@bhhtait.com
Message 9 of 18
Anonymous
in reply to: Anonymous

This one's especially useful as a shortcut.


> (defun C:bkvlays()(command "bkvlays")(princ))


"Matt Stachoni" wrote in message
news:5979848@discussion.autodesk.com...
What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.
Message 10 of 18
Anonymous
in reply to: Anonymous

I think this one is more useful

(defun t:datestamp() (command "datestamp")(princ))


to access this you need to type

(t:datestamp)



Jamie



"Jason Piercey" wrote in message
news:5979834@discussion.autodesk.com...
This one's especially useful as a shortcut.


> (defun C:bkvlays()(command "bkvlays")(princ))


"Matt Stachoni" wrote in message
news:5979848@discussion.autodesk.com...
What's weirer is that the "commands" those functions are calling aren't real
AutoCAD commands.
Message 11 of 18
Anonymous
in reply to: Anonymous

Anything with (defun C: code line, the command name following C: can be used
as if it's a real AutoCAD command.
But anything without the C: will need to be used as a lisp function
surrounded with parenthesis.
So in order to use the command (defun t:name-of-command, at the AutoCAD
command prompt, you'll have to type (t:name-of-command).
Some programmers would rather use f: instead of t: to represent a lisp
function command name instead of an actual command which by default Autolisp
uses C: for.
So looks like all those (defun t: lisp functions are calling other lisp
functions which have already be loaded elsewhere in the file.

Paul

"C O Jones" wrote in message news:5979507@discussion.autodesk.com...
> Rick,
> I am familiar with the "(defun C:..." but what is the
> "(defun t:..." function?
>
> Thanks,
> CO
Message 12 of 18
Anonymous
in reply to: Anonymous

In the "old days" when third party developers only had LISP to work with,
they would "tag" their commands with a prefix like ABC:command - where ABC
was their authorized autodesk developer tag, or one they gave themselves.
This helped avoid problems that would crop up where you might create an
inhouse function called "plotstamp", and then a little later buy a program
from someone else that might also have a function defined as "plotstamp" and
then a year later, Autodesk decides to include a command called "plotstamp".
SO you might tag yours with x:plotstamp, the "real" developer might tag
theirs with "abc:plotstamp" and autodesk just leaves it at "plotstamp" - no
conflicts and expected results every time... It's a good practice, but never
remember to do it...


"C O Jones" wrote in message news:5979507@discussion.autodesk.com...
Rick,
I am familiar with the "(defun C:..." but what is the
"(defun t:..." function?

Thanks,
CO
Message 13 of 18
Anonymous
in reply to: Anonymous

Yep, I remember those good old days too when autodesk developer network
called that interoperability programming.
But I guess that push never got off the ground.

Paul

"pkirill" wrote in message
news:5984495@discussion.autodesk.com...
> In the "old days" when third party developers only had LISP to work with,
> they would "tag" their commands with a prefix like ABC:command - where ABC
> was their authorized autodesk developer tag, or one they gave themselves.
> This helped avoid problems that would crop up where you might create an
> inhouse function called "plotstamp", and then a little later buy a program
> from someone else that might also have a function defined as "plotstamp"
> and
> then a year later, Autodesk decides to include a command called
> "plotstamp".
> SO you might tag yours with x:plotstamp, the "real" developer might tag
> theirs with "abc:plotstamp" and autodesk just leaves it at "plotstamp" -
> no
> conflicts and expected results every time... It's a good practice, but
> never
> remember to do it...
>
>
> "C O Jones" wrote in message news:5979507@discussion.autodesk.com...
> Rick,
> I am familiar with the "(defun C:..." but what is the
> "(defun t:..." function?
>
> Thanks,
> CO
Message 14 of 18
Laxtor
in reply to: Anonymous

Ever since using a wacom tablet I no longer have the benefit of a wheel mouse so have to do things the old fashioned way with a keyboard.
Although I am obviously using far to many key presses every time I zoom Z [Space] or [Return] and then e, p or w to zoom extents, previous or window. I mean what a klutz using a whole extra key press every time I zoom.
Message 15 of 18
Anonymous
in reply to: Anonymous

FYI: You don't need to use "W". Windowing is implied.

wrote in message news:5987138@discussion.autodesk.com...

> every time I zoom Z [Space] or [Return] and then e, p or w to zoom
> extents, previous or window.
Message 16 of 18
dxarhoulakos
in reply to: Anonymous

thats interesting. anyone else use a tablet for CAD?

i've used it effectivily for photoshop, and illustrator, but haven't been able to grasp while using CAD.

i guess i can't get over the lacf of wheel scrolling...which is useless in photoshop and illustrator anyway...
Message 17 of 18
Anonymous
in reply to: Anonymous

I've used a tablet since R10.

wrote in message news:5987328@discussion.autodesk.com...

> thats interesting. anyone else use a tablet for CAD?
Message 18 of 18
Anonymous
in reply to: Anonymous

Are you using the pen in autocad? My wacom tablets have always come with
a wheel mouse, but if you prefer to draft with the pen I suppose you would
not have that option...


Hello Laxtor,

> Ever since using a wacom tablet I no longer have the benefit of a
> wheel mouse so have to do things the old fashioned way with a
> keyboard.
>
> Although I am obviously using far to many key presses every time I
> zoom Z [Space] or [Return] and then e, p or w to zoom extents,
> previous or window. I mean what a klutz using a whole extra key press
> every time I zoom.
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Administrator Productivity


Autodesk Design & Make Report